Bug 1391282 - use stable ("bouncer") log URLs in bkr job-logs output
Summary: use stable ("bouncer") log URLs in bkr job-logs output
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: general   
(Show other bugs)
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 24.0
Assignee: matt jia
QA Contact: tools-bugs
URL:
Whiteboard:
Keywords: FutureFeature, Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-02 22:56 UTC by Dan Callaghan
Modified: 2017-02-21 18:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-21 18:51:21 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dan Callaghan 2016-11-02 22:56:46 UTC
If you run bkr job-logs immediately after a job has finished, the logs will still be stored locally on the lab controller and the URLs printed will be on there. But a few minutes later, beaker-transfer moves the files to the archive server and those URLs are now invalid.

This is the same problem we had with JUnit XML output (bug 1291130) and results XML. bkr job-logs should print out the stable "bouncer" URLs for each log file, the same way we do in those other places.

Comment 2 matt jia 2016-11-04 04:23:17 UTC
On Gerrit:

  https://gerrit.beaker-project.org/#/c/5401/

Comment 3 Roman Joost 2016-12-05 04:58:32 UTC
This bug fix is included in beaker-server-24.0-0.git.204.bf63e0d which is currently available for download here:

https://beaker-project.org/nightlies/develop/

Comment 4 wangdong 2016-12-06 03:15:39 UTC
Verify passed on https://beaker-devel.app.eng.bos.redhat.com

Steps:
1. run command bkr job-logs when job in running status.
[dowang@dowang-desktop ~]$ bkr job-logs J:11808
http://lab-devel-02.rhts.eng.bos.redhat.com/beaker/logs/recipes/17+/17506/console.log

2. run command after job complete for a few minutes.
[dowang@dowang-desktop ~]$ bkr job-logs J:11808
http://lab-devel-02.rhts.eng.bos.redhat.com/beaker/logs/recipes/17+/17506/console.log

Results:
after job finished few minutes, logs will transfer to archive server.
So, URL also change to archive server.

Change status to verified.

Comment 5 Dan Callaghan 2017-02-21 18:51:21 UTC
Beaker 24.0 has been released.


Note You need to log in before you can comment on or make changes to this bug.